Class | Fog::Compute::XenServer::VBD
In: | lib/fog/xenserver/models/compute/vbd.rb
Parent: | Fog::Model

### Methods

eject insert metrics save server unplug unplug_force vdi

### Public Instance methods

eject()
insert(vdi)
metrics()

return nil if the VBD is not attached

TODO: Confirm that the VBD_metrics handle is invalid when the VBD is NOT attached. I get a HANDLE_INVALID exception in that case.

save()
server()

TODO: May it return nil?

unplug()
unplug_force()
vdi()

May return nil

[Validate]